#
# spec file for package syslogd (Version 1.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         syslogd
Copyright:    1983, 1988 Regents of the University of California, 1994 Dr. Greg Wettstein, Enjellic Systems Development
Group:        System Environment/Daemons
Provides:     sysklogd
Autoreqprov:  on
Version:      1.4.1
Release:      54
Summary:      Syslogd
Source: sysklogd-1.4.1.tar.bz2
Patch0: sysklogd-1.4.1-dgram.patch
Patch1: sysklogd-1.4.1-sparc.patch
Patch2: sysklogd-1.4.1-forw.patch
Patch3: sysklogd-1.4.1-fileleak.patch
Patch9: sysklogd-1.4.1.dif

%description
The sysklogd package implements two system log daemons.  The
syslogd daemon is the general system logging daemon which
is responsible for handling requests for syslog services.
This version of syslogd is similar to the standard Berkeley
product, but with a number of compatible extensions.  The
klogd daemon runs either independently or as a client of syslogd.
Klogd 'listens' to kernel log messages, prioritizes them, and
routes them to either output files or to syslogd.  This
version of klogd will optionally translate kernel addresses
to their symbolic equivalents if provided with a system map.

Authors:
--------
    Dr. Greg Wettstein <greg@wind.rmcc.com>
    Stephen Tweedie <sct@dcs.ed.ac.uk>
    Juha Virtanen <jiivee@hut.fi>
    Shane Alderton <shane@scs.apana.org.au>

SuSE series: a

%prep
%setup -n sysklogd-1.4.1
%patch0 -p0 -b .dgram
%patch1 -p0 -b .sparc
%patch2 -p0 -b .forw
%patch3 -p0 -b .fileleak
%patch9 -p0
%ifarch s390
mv sample-s390.conf sample.conf
%endif

%build
    make

%install
    make install MANDIR=%{_mandir}
    install rc /etc/init.d/syslog
    ln -sf ../etc/init.d/syslog /sbin/rcsyslog
    install rc.config.syslogd /var/adm/fillup-templates

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.syslogd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.syslogd"
  echo "and update by hand."
fi
mkdir -p var/log
touch var/log/messages; chmod 640 var/log/messages
touch var/log/boot.log; chmod 640 var/log/boot.log
touch var/log/mail; chmod 640 var/log/mail
test -f var/log/news && mv var/log/news var/log/news.bak
mkdir -p var/log/news
chown news.news var/log/news
touch var/log/news/news.crit; chmod 640 var/log/news/news.crit
chown news.news var/log/news/news.crit
touch var/log/news/news.err; chmod 640 var/log/news/news.err
chown news.news var/log/news/news.err
touch var/log/news/news.notice; chmod 640 var/log/news/news.notice
chown news.news var/log/news/news.notice
mkdir -p dev
test -e dev/xconsole || mknod -m 0644 dev/xconsole p
sbin/insserv etc/init.d/syslog

%postun
sbin/insserv etc/init.d/

%files
%config /etc/syslog.conf
/var/adm/fillup-templates/rc.config.syslogd
%config /etc/init.d/syslog
%doc %{_mandir}/man5/syslog.conf.5.gz
%doc %{_mandir}/man8/klogd.8.gz
%doc %{_mandir}/man8/sysklogd.8.gz
%doc %{_mandir}/man8/syslogd.8.gz
/sbin/klogd
/sbin/rcsyslog
/sbin/syslogd

%changelog -n syslogd
* Wed Sep 19 2001 - ro@suse.de
- fixed typo in rc_script SYSLOGD_PARAM -> SYSLOGD_PARAMS (#10950)
* Thu Aug 30 2001 - werner@suse.de
- Fix bug #9096
- Make TAB a printable character
* Fri Jun 15 2001 - schwab@suse.de
- Don't define __KERNEL__.
* Tue May 29 2001 - werner@suse.de
- Update to version 1.4.1
- Porting our patches to this version
* Fri Apr 27 2001 - mt@suse.de
- added syslog-ng hook in init script
* Tue Apr 17 2001 - werner@suse.de
- Avoid zero bytes from kernel messages
* Thu Jan 11 2001 - werner@suse.de
- Correct deep or relative symlink rcsyslog
* Thu Jan 11 2001 - werner@suse.de
- Move syslogd and klogd to /sbin
- Change Required from $remote_fs to $network
* Thu Dec 07 2000 - werner@suse.de
- Change boot.log to localmessages and add local0 upto local7
* Mon Dec 04 2000 - ro@suse.de
- added var/log/boot.log
* Tue Nov 28 2000 - ro@suse.de
- fixed startscript
* Mon Nov 13 2000 - ro@suse.de
- fixed to compile on 2.4 kernel header
* Tue Oct 17 2000 - bk@suse.de
- add samples-s390.conf for s390.
* Thu Sep 14 2000 - werner@suse.de
- Fix format handling within Syslog()
* Wed Sep 13 2000 - werner@suse.de
- Fix the two printline bugs in syslogd.c
* Tue Sep 12 2000 - werner@suse.de
- Fix missed format
* Wed May 24 2000 - schwab@suse.de
- Fix resource leak.
* Tue Feb 29 2000 - schwab@suse.de
- Fix type of last arg to recvfrom
- Add group tag.
* Sun Feb 27 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Fri Feb 11 2000 - werner@suse.de
- The pid file is /var/run/syslogd.pid not /var/run/syslogd.conf
* Wed Nov 17 1999 - kukuk@suse.de
- Add fix to syslogd for SIGHUP race condition
* Thu Nov 04 1999 - werner@suse.de
- next typo fix in comment in /etc/syslogd.conf
* Thu Nov 04 1999 - bs@suse.de
- typo fix in comment in /etc/syslogd.conf
* Tue Oct 26 1999 - mge@suse.de
- (sysklogd-1.3-forw.patch) Andreas Siegert <afx@suse.de>
  Added -t flag that triggers tagging of forwarded messages with
  the sending hosts name as seen by the forwarder. Useful for
  relaying syslog from DMZs through the firwall to an internal
  loghost. Format is "<""hostname"
* Fri Oct 08 1999 - werner@suse.de
- New version 1.3.33
* Fri Oct 01 1999 - werner@suse.de
- Udatet version of nodos patch
* Fri Sep 24 1999 - werner@suse.de
- Disable *.alert message on root tty's
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 10 1999 - ro@suse.de
- fixed nodos patch
* Mon Sep 06 1999 - werner@suse.de
- Avoid possible crash if no kernel symbols are available.
* Fri Sep 03 1999 - werner@suse.de
- Update to new version 1.3.32
- Add sparc patch
- Add security patch (DOS)
- Make it work with alpha (time_t and size_t)
- wallmsg() only for user processes marked in utmp
- The last character of al kernel log is ascii null
- Lock fd of the socket to the syslogd
* Thu Sep 02 1999 - werner@suse.de
- Use RPM_OPT_FLAGS
- Use a pipe to redirect console message to xconsole
- Make reading of ring buffer an (undocumented) option (-r
  reading, -R reading and clearing, both one shot)
* Tue Aug 31 1999 - werner@suse.de
- Use 16k buffer because newer kernels do have such a big log
- Avoid trouble due longjmp and fork with a few variables
* Tue Aug 31 1999 - werner@suse.de
- Use sysctl argument 3 (Read up to the last 4k of messages in the
  ring buffer) instead of 2 (Read from the log) if one shot method
  for klogd is used.
* Sat Aug 21 1999 - garloff@suse.de
- syslog.conf: Only write *.crit synchronously
* Fri Jan 08 1999 - florian@suse.de
- /var/log/news should be owned by news.news
* Thu Jan 07 1999 - bs@suse.de
- fixed comment in syslog.conf
* Mon Dec 14 1998 - ro@suse.de
- removed noreplace from syslogd.conf: necessary change for news-logs
* Fri Dec 11 1998 - ro@suse.de
- split up news logs
* Wed Dec 09 1998 - ro@suse.de
- changed syslog.conf to back to suse-defaults
* Tue Dec 08 1998 - ro@suse.de
- updated init script and added link rcsyslog
* Mon Dec 07 1998 - ro@suse.de
- update to 1.3-30
- syslog.conf marked as config(noreplace)
* Fri Dec 04 1998 - ro@suse.de
- bootscript: silently restart if already running on "start"
* Wed Dec 02 1998 - werner@suse.de
- New boot script syslog
* Mon Jun 22 1998 - ro@suse.de
- used patches from trevor@jpj.net to build for glibc:
- renamed syslogd's dprintf to syslog_dprintf
- don't declare sys_errlist
- use sys/time.h instead of linux/time.h
* Tue Mar 10 1998 - ro@suse.de
- react if KERNEL_LOGLEVEL=""
- added SYSLOGD_PARAMS
* Tue Mar 10 1998 - ro@suse.de
- added KERNEL_LOGLEVEL to fillup for rc.config and rcfile
* Fri Feb 27 1998 - florian@suse.de
- removed duplicate entry for news messages in syslog.conf
* Wed Oct 22 1997 - ro@suse.de
- removed doinst.sh from specfile-filelist
* Sun Jun 01 1997 - bs@suse.de
- don't include log files under var/log but touch them in doinst.sh
* Thu May 29 1997 - bs@suse.de
- cleared var/log/warn
* Wed Apr 30 1997 - florian@suse.de
- add lots of fixes from debian and other places
- new /etc/syslog.conf: mail/news messages are in separate files
* Wed Apr 30 1997 - bs@suse.de
  added & when starting syslogd.
* Thu Jan 02 1997 - bs@suse.de
  runlevel value changed to S09 and K35
* Thu Jan 02 1997 - florian@suse.de
- klogd liest jetzt wieder die System.map ein.
- Neue Option "-x", mit der man das Lesen der System.map
  abschalten kann.
- Start- und Stop-Scripte sind jetzt im Paket und nicht mehr in
  aaa_base.tgz.
